PM83779: INCOMPATIBLE INTERMEDIATE LANGUAGE LEVEL DETECTED

A fix is available

Subscribe

You can track all active APARs for this component.

APAR status

  • Closed as program error.

Error description

  • Incompatible Intermediate Language Level Detected
    

Local fix

Problem summary

  • ****************************************************************
    * USERS AFFECTED: Users of the 4.3 compiler who force the LE   *
    *                 STO(,,00) option to be on                    *
    ****************************************************************
    * PROBLEM DESCRIPTION: When the LE option STO(,,00)is forced   *
    *                      on, compiles would end abnormally with  *
    *                      a message indicating that the           *
    *                      intermediate language level was         *
    *                      incorrect                               *
    ****************************************************************
    * RECOMMENDATION:                                              *
    ****************************************************************
    

Problem conclusion

  • There was a small bug in the front-end of the compiler that
    caused the value passed to the back-end to tell it the level of
    the intermediate language generated to be not set correctly.
    With the STO(,,00) option in effect, the value was so incorrect
    that the backend killed the compile. This bug has been
    corrected.
    

Temporary fix

Comments

APAR Information

  • APAR number

    PM83779

  • Reported component name

    ENT PL/I FOR ZO

  • Reported component ID

    5655W6700

  • Reported release

    430

  • Status

    CLOSED PER

  • PE

    NoPE

  • HIPER

    NoHIPER

  • Special Attention

    NoSpecatt

  • Submitted date

    2013-02-27

  • Closed date

    2013-02-28

  • Last modified date

    2013-03-04

  • APAR is sysrouted FROM one or more of the following:

  • APAR is sysrouted TO one or more of the following:

    UK92084

Modules/Macros

  • IBMZINN
    

Fix information

  • Fixed component name

    ENT PL/I FOR ZO

  • Fixed component ID

    5655W6700

Applicable component levels

  • R430 PSY UK92084

       UP13/03/01 P F302

Fix is available

  • Select the PTF appropriate for your component level. You will be required to sign in. Distribution on physical media is not available in all countries.



Rate this page:

(0 users)Average rating

Add comments

Document information


More support for:

Enterprise PL/I for z/OS

Software version:

4.3

Reference #:

PM83779

Modified date:

2013-03-04

Translate my page

Machine Translation

Content navigation